Subject: Unexpected problem with Guix System installer

From: Mathieu <[email-masked]>
Date: Fri, 24 Dec 2021 02:46:55 +0100

Hey,

Trying to install Guix on a 32GB thum drive, I get the attached backtrace.

The partition table is gpt with 500MB for ESP, 20GB for /, 2GB for swap and remaining space for /home. I have tried btrfs and ext4 for / and /home but got backtraces related to either mkfs.btrfs or mkfs.ext4 in both cases. I also have tried encryption or no encryption, but still got backtraces. The partitions are created to the drive because I can see they are still there when I restart the installer.

This is not the drive that was used to boot the Guix installer in the first place.

Thanks, hope someone can understand what the issue is.